BIGLYBT CHANGELOG
-----------------

2021.07.09 | BiglyBT 2.8.0.0

FEATURE: Tag   | Support Tag Constraints in Library filter expressions [Parg]
FEATURE: Core  | Add hard-link option to revert-files [Parg]
FEATURE: Core  | Support hard-link option in 'search-for-existing-files' [Parg]
FEATURE: Core  | Support NAT testing for Light Seeds [Parg]
FEATURE: Core  | Added explicit 'Allocate' option to allocate files and stop download [Parg]
FEATURE: Core  | Treat file names of form "_____padding_file_<num>_..." as pad files [Parg]
FEATURE: Core  | Added 'piece' mode to search for existing files that copies correct ones [Parg]
FEATURE: UI    | Include tracker warning messages in Sources Status column info [Parg]
FEATURE: UI    | New 'download health' item to show queued IO, unchoking and requests [Parg]
FEATURE: UI    | Draw tags in Tags column instead of plain text. [TuxPaper]
FEATURE: UI    | Option to show/hide ETA in Speed sub-tab [Parg]
FEATURE: UI    | Show torrent thumbnail in GeneralView and allow setting/clearing [Parg]
FEATURE: UI    | Show unavailable pieces in Files View piece graph as per General View [Parg]
FEATURE: UI    | Support 'and' filter logic for dl history and archive views (+refactor) [Parg]
FEATURE: UI    | Option to force non-system colors to grayscale [TuxPaper]
FEATURE: UI    | Added info about last/next scrape time to tracker status [Parg]
FEATURE: UI    | Table column foreground/background color settings [Parg]
FEATURE: UI    | Use +/- keys to change priority in Files View [Parg]
FEATURE: UI    | New 'connect health' column to show success of outgoing connections [Parg]
FEATURE: UI    | Added last-piece-number column to Files View [Parg]
FEATURE: UI    | Allow first priority share ratio to be set to 'ignore' [Parg]
FEATURE: UI    | Added copy button to About info [Parg]
FEATURE: UI    | Added 'apply to all' option to torrent export dialog [Parg]
FEATURE: UI    | Add 'rename on top level folder change' item to 'More' menu in OTO win [Parg]
FEATURE: UI    | Added filter box for all-pieces view to filter download/file name [Parg]

CHANGE: Core   | Move transition from force-download -> not-force-seeding later [Parg]
CHANGE: Core   | Increase hash scheduler limits as current not stressing cpu [Parg]
CHANGE: Core   | Update download history on download rename [Parg]
CHANGE: Core   | Disable app-nap on OSX [TuxPaper]
CHANGE: Core   | Preserve file date attributes across backup+restore [Parg]
CHANGE: Core   | Consider pending move-tasks when queueing a seeding download [Parg]
CHANGE: Core   | Replace host name resolver queue with thread pool [Parg]
CHANGE: Core   | Spread the cost of file length checks during re-checking [Parg]
CHANGE: UI     | Better positioning of fancy menu when opened via keyboard [TuxPaper]
CHANGE: UI     | Reduce log level of hash fails to info for uninteresting cases [Parg]
CHANGE: UI     | Added .ico to image types [Parg]
CHANGE: UI     | Select relevant column in column setup window [Parg]
CHANGE: UI     | Use save location for icon if download has no primary file [Parg]
CHANGE: UI     | Row colours override column colours [Parg]
CHANGE: UI     | Added unallocated status info to stopped downloads [Parg]
CHANGE: UI     | Allow resize of donation window as some people have issues with fit [Parg]
CHANGE: UI     | Show Tag move-on-complete actions in Library column when no explicit [Parg]
CHANGE: UI     | pt_BR: Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | tr_TR: Turkish translation update [BouRock,Snn1452]
CHANGE: UI     | sl_SI: Slovenian translation update [upwinxp]
CHANGE: UI     | fi_FI: Finnish translation update [olavinto]
CHANGE: UI     | ru_RU: Russian translation update [jdPhobos]

BUGFIX: Core   | Fix possible startup fail due to invalid "locale" setting [Parg]
BUGFIX: Core   | Don't make reserved slots first-priority as it borks download limits [Parg]
BUGFIX: Core   | Some trackers return empty response on 'stopped' event [Parg]
BUGFIX: Core   | Remove buddy FP flag when untracking a download [Parg]
BUGFIX: Core   | Fix fallback detection of OSX app bundle location [Parg]
BUGFIX: Core   | Fix jnilib update path [Parg]
BUGFIX: Core   | Fix local tracker up/down stats recording [Parg]
BUGFIX: Core   | Mix aggregated scrape results into constraint vars; fix peer_count [Parg]
BUGFIX: UI     | Fix table row refresh and some other gunge [Parg]
BUGFIX: UI     | Make sure 'file not found' is included in error message [Parg]
BUGFIX: UI     | Draw off-screen for better performance [Parg]
BUGFIX: UI     | Queue up row refreshes triggered by DownloadManager state change [Parg]
BUGFIX: UI     | Fix program icon sometimes being small. [TuxPaper]
BUGFIX: UI     | FilesView name item fixes (mouse button+update on storage type change) [Parg]
BUGFIX: UI     | Fix down-arrow into filter search history [Parg]
BUGFIX: UI     | Toolbar should only act on Files or Downloads, not both; Better tooltip [Parg]
BUGFIX: UI     | Fix search constraint caching [Parg]
BUGFIX: UI     | Fix next selection on ctrl+w close in classic UI [Parg]
BUGFIX: UI     | Don't re-affirm table selection if not focused [Parg]
BUGFIX: UI     | All Trackers view doesn't implement !regex correctly [Parg]

2021.03.20 | BiglyBT 2.7.0.2

BUGFIX: Core   | Fix startup timing issue causing UI hangs and proxy-plugin issues [Parg]
BUGFIX: UI     | Custom date formats were getting corrupted by CrowdIn in some locales [Parg]
BUGFIX: UI     | Sidebar expansion state recording was resulting in potentially non-ASCII config keys [Parg]

2021.03.18 | BiglyBT 2.7.0.0

FEATURE: Tag   | Option to prevent removal of a download when assigned to a tag [Parg]
FEATURE: Tag   | Added file_paths and file_paths_selected Tag constraint variables [Parg]
FEATURE: Tag   | Support 'hasTag' constraint function for Peer Set names [Parg]
FEATURE: Tag   | Tag option to set maximum active downloads for a Tag [Parg]
FEATURE: Tag   | Support negated Peer Set pattern expressions [Parg]
FEATURE: Tag   | Automatic creation of Peer Sets based on network interface [Parg]
FEATURE: Tag   | Added peer network interface categorization and associated Peer Set logic [Parg]
FEATURE: Tag   | Added ASN matching to Peer Sets [Parg]
FEATURE: Tag   | Added Peer Set option to boost assigned peers [Parg]
FEATURE: Tag   | Added 'Deleting' download state Tag [Parg]
FEATURE: Tag   | Option to create country-specific Peer Sets from Country Stats/Swarm view [Parg]
FEATURE: Tag   | ALso match against the AS number in Peer Set ASN pattern [Parg]
FEATURE: Core  | Option to only run one major disk operation per file system concurrently [Parg]
FEATURE: Core  | Option to disable auto-dl-specific chat reads/writes [Parg]
FEATURE: Core  | Option to set the default update period for subscriptions [Parg]
FEATURE: Core  | Added option to prevent the banning of LAN peers [Parg]
FEATURE: Core  | Added support for the torrent 'Source' field in torrent creator + General view [Parg]
FEATURE: Core  | New 'Light-Seeding' mode for private torrents with zero-peers [Parg]
FEATURE: Core  | Make webseed activation minimum rate configurable [Parg]
FEATURE: Core  | Option to specify additional bind addresses for incoming connections [Parg]
FEATURE: Core  | Option to ignore bind addresses for outgoing connections to LAN addresses [Parg]
FEATURE: Core  | Complete a force-recheck operation regardless of errors to find all bad pieces [Parg]
FEATURE: UI    | Support 'f:' prefix to search on save path in Download History view [Parg]
FEATURE: UI    | Added 'date completed' to Archive view [Parg]
FEATURE: UI    | Added move-on-complete disk operation [Parg]
FEATURE: UI    | Added filter box to Client Stats view [Parg]
FEATURE: UI    | Support space bar select/deselect in Files view [Parg]
FEATURE: UI    | Added 'file systems' column to Disk Ops view to dhow affected drives [Parg]
FEATURE: UI    | Option to kick+ban a peer's ipv4, ipv6 or both addresses [Parg]
FEATURE: UI    | Added a 'percent done' column to Disk Ops view [Parg]
FEATURE: UI    | Added 'indicative order' to Disk Ops view [Parg]
FEATURE: UI    | Added nick + shared-nick columns to Chat Overview [Parg]
FEATURE: UI    | Added queued disk read/write bytes to Cache Stats view [Parg]
FEATURE: UI    | Added per-download Country Stats view [Parg]
FEATURE: UI    | Added pop-out menu to Quick Links items [Parg]
FEATURE: UI    | Double-click Quick Links items to pop-out [Parg]
FEATURE: UI    | Double-click sidebar entry to pop-out [Parg]
FEATURE: UI    | New disk read/write latency column for Library views [Parg]
FEATURE: UI    | New 'upload health' Library column to show bytes queued etc [Parg]
FEATURE: UI    | Option to auto-accept torrents in the torrent open dialog after configurable timer [Parg]
FEATURE: UI    | Added 'Show in All Trackers view' menu item for Sources view [Parg]
FEATURE: UI    | Search boxes now have a 'regular expression' toggle button [TuxPaper]
FEATURE: UI    | Show plugin stop events in closedown UI as some can take a while [Parg]
FEATURE: UI    | Right-click option on renderers to add files [Parg]

CHANGE: Tag    | Include last modification date on Tag icon cache to permit edits [Parg]
CHANGE: Tag    | Include spacer between Tag groups in Library tag buttons [Parg]
CHANGE: Tag    | Centre image for compact Tag canvas with image only [Parg]
CHANGE: Core   | Better download rename on top-level-folder removal [Parg] 
CHANGE: Core   | Always allocate metadata downloads immediately [Parg]
CHANGE: Core   | Don't treat a download as stalled if disk latency high [Parg]
CHANGE: Core   | 'Search for existing data files' now handles relocations [Parg]
CHANGE: Core   | Enable alternative DHT lookup for metadata downloads [Parg]
CHANGE: Core   | Kick off piece recheck on completion after potential move operation rather than before [Parg]
CHANGE: Core   | Stop plugins in the opposite order to which they were started [Parg]
CHANGE: UI     | Added download save path to torrent view file match set for 'f:' searches [Parg]
CHANGE: UI     | Added file size in bytes to size column tooltip [Parg]
CHANGE: UI     | Display and group by group name in tag's column tooltip [Parg]
CHANGE: UI     | Show column's icon in Info View [Parg]
CHANGE: UI     | Increase chat open limit on double click to 10 [Parg]
CHANGE: UI     | Make full-update window resizeable [Parg]
CHANGE: UI     | Added byte values to up/down item tooltip [Parg]
CHANGE: UI     | Remember size and location of pop-out windows [Parg]
CHANGE: UI     | Remember last-used-tracker in torrent creator [Parg]
CHANGE: UI     | Enable the 'force start' option for private torrents in beginner mode [Parg]
CHANGE: UI     | Added seeding rank information to the Status column tooltip [Parg]
CHANGE: UI     | Don't pre-select file extension in torrent options rename dialog [Parg]
CHANGE: UI     | Allow multiple files to be selected+renamed in torrent options [Parg]
CHANGE: UI     | Show both the ASN and the AS in the peers column [Parg]
CHANGE: UI     | More consistent filter box sizing [TuxPaper]
CHANGE: UI     | Centre quick links [TuxPaper]
CHANGE: UI     | Sort stopped/error downloads to bottom of Seeding Rank columns [Parg]
CHANGE: UI     | pt_BR: Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | no_NO: Norwegian translation update [lislei]
CHANGE: UI     | tr_TR: Turkish translation update [BouRock]
CHANGE: UI     | sl_SI: Slovenian translation update [upwinxp]
CHANGE: UI     | de_DE: German translation update [gerstemann]
CHANGE: UI     | fi_FI: Finnish translation update [olavinto]
CHANGE: UI     | ja_JP: Japanese translation update [ayano.midori]
CHANGE: UI     | sv_SE: Swedish translation update [Dyras]

BUGFIX: Tag    | Fix memory retention by Peer Sets for inactive downloads [Parg]
BUGFIX: Tag    | Fix potential recursion on Tag group assignment [Parg]
BUGFIX: Core   | Don't resurrect torrent file if it has been explicitly deleted [Parg]
BUGFIX: Core   | Fixed All Trackers 'add to existing action' logic [Parg]
BUGFIX: Core   | Retry file delete operation in case file is temporarily locked [Parg]
BUGFIX: Core   | Fix issue with LAN state change causing dead connection build up [Parg]
BUGFIX: Core   | Fix partial buddy removal [Parg]
BUGFIX: Core   | Fix memory leak if peer events delivered out of order [Parg]
BUGFIX: Core   | Fix potential deadlock in peer handling [Parg]
BUGFIX: Core   | Limit thread creation to report asynchronous STS events [Parg]
BUGFIX: Core   | Various fixes around setting files to delete/normal priority [Parg]
BUGFIX: Core   | Fix remaining count and file pieces for stopped downloads on file delete [Parg]
BUGFIX: Core   | Fix rare case where stop() + remove() is interrupted by a start [TuxPaper]
BUGFIX: Core   | 'Update all now' should ignore the enabled status of subscriptions [Parg]
BUGFIX: Core   | Fix seeding rules to disable stalled slots when minimum speed set to 0 [TuxPaper]
BUGFIX: Core   | Fix download completion event stalling other downloads [Parg]
BUGFIX: Core   | Fix restore from archive when original underwent a move-on-remove operation [Parg]
BUGFIX: UI     | Fixed quick rename of single file torrent from Files View [Parg]
BUGFIX: UI     | Fixed a few dark theme issues on GTK [Parg]
BUGFIX: UI     | Fix memory leak when closing table column setup dialog [Parg]
BUGFIX: UI     | Fix memory leak in non-main tabbed MDI component [Parg]
BUGFIX: UI     | Ensure the view-title-info refresher is always removed on view close [Parg]
BUGFIX: UI     | Fix torrent details view not closing on download removal [Parg]
BUGFIX: UI     | File bug with Files view losing manager listeners [Parg]
BUGFIX: UI     | Fix shift+up/down key tree view selection logic [Parg]
BUGFIX: UI     | Fix Files view select update bug when file hidden [Parg]
BUGFIX: UI     | Fix start+stop icon behaviour for Disk Ops view [Parg]
BUGFIX: UI     | Progress Reporter using too much CPU [Parg]

2020.12.17 | BiglyBT 2.6.0.0

FEATURE: Tag   | Added new download-state tags for 'moving' and 'checking' [Parg]
FEATURE: Tag   | Added torrent_type tag constraint keyword [Parg]
FEATURE: Tag   | Added isShare() tag constraint function [Parg]
FEATURE: Core  | IPv6 IP filter support [Parg]
FEATURE: Core  | Option to skip file existence checks for complete downloads [Parg]
FEATURE: Core  | Added option to ban either IPv4 or IPv6 addresses when attempts made to dual-connect by remote peers [Parg]
FEATURE: Core  | Option to explicitly run the v2 swarm on a hybrid download [Parg]
FEATURE: Core  | Option to force first/last piece priority when sequential downloading [Parg]
FEATURE: Core  | Update swarm merging to use v2 root hashes [Parg]
FEATURE: Core  | Option to create a hybrid/v2 downloaded from a completed v1 download [Parg]
FEATURE: Core  | Added dedicated log file to capture file related actions [Parg]
FEATURE: Core  | Option to skip the backup of the plugins folder [Parg]
FEATURE: Core  | Added additional trackers for metadata peer discovery and default [Parg]
FEATURE: UI    | New 'Disk Operations' view [Parg]
FEATURE: UI    | Show alternative IPv6 address in peer IP tooltip [Parg]
FEATURE: UI    | Pop-out windows can now be either independent or 'always on top' of BiglyBT [Parg]
FEATURE: UI    | Show a basic (AWT) error dialog if startup fails [Parg]
FEATURE: UI    | Option to suppress the file-move progress dialog [Parg]
FEATURE: UI    | Show more torrent version info [Parg]
FEATURE: UI    | Option to use dark themed tables [Parg]
FEATURE: UI    | Dark theme support for minibars [Parg]
FEATURE: UI    | New v2 root hash Files View column [Parg]
FEATURE: UI    | Added total bytes transferred view option to local country stats [Parg]
FEATURE: UI    | Added total bytes up/down in last year to donation window [TuxPaper]

CHANGE: Core   | Suspend disk-read operations during file move [Parg]
CHANGE: Core   | Kick incoming public connections when SOCKS data proxy active [Parg]
CHANGE: Core   | Don't abandon torrent decode on invalid announce url(s) [Parg]
CHANGE: Core   | Option to use user-thread-cpu-time when monitoring [Parg]
CHANGE: Core   | If torrent file is missing from save location on a 'move' operation then use internal copy [Parg]
CHANGE: Core   | Only use global IPv6 addresses when checking bind pattern validity [Parg]
CHANGE: Core   | Tidy up subscription downloader [Parg]
CHANGE: Core   | Drop metadata download create delay default to 0 seconds [Parg]
CHANGE: Core   | Switch to using JVM SHA1 implementation [Parg]
CHANGE: UI     | Category side bar visibility changes [Parg]
CHANGE: UI     | Limit number of chat windows opened when status icon double-clicked [Parg]
CHANGE: UI     | Improve toolbar in dark theme [Parg]
CHANGE: UI     | Remember wizard size/location [Parg]
CHANGE: UI     | Sort blocked-ip list [Parg]
CHANGE: UI     | Change progress bar colour to grey for inactive downloads [Parg]
CHANGE: UI     | Always show favourites in status bar chat menu [Parg]
CHANGE: UI     | Remember batch file rename dialog position and size [Parg]
CHANGE: UI     | Improve performance of collapse/expand-all in Files View [Parg]
CHANGE: UI     | Added tracker URL to warning messages [Parg]
CHANGE: UI     | Remember position of the progress reporter dialog [Parg]
CHANGE: UI     | Slide alert from bottom of destination instead of display bottom [TuxPaper]
CHANGE: UI     | Show move progress for downloads in a queued or downloading state [Parg]
CHANGE: UI     | pt_BR: Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | sl_SI: Slovenian translation update [upwinxp]
CHANGE: UI     | tr_TR: Turkish translation update [BouRock]
CHANGE: UI     | ja_JP: Japanese translation update [ayano.midori]
CHANGE: UI     | fr_FR: French translation update [GMartigny]
CHANGE: UI     | fi_FI: Finnish translation update [olavinto]

BUGFIX: Core   | Fix removal from read-only collection [Parg]
BUGFIX: Core   | Fix NPE causing magnet downloads not to be recovered [Parg]
BUGFIX: Core   | Ensure we have a peer-manager piece when writing a block [Parg]
BUGFIX: Core   | Added a hard limit on DDB graph activity retention to fix memory leak [Parg]
BUGFIX: Core   | Fix duplicated swarm merge file sets [Parg]
BUGFIX: Core   | VM killer thread was broken [Parg]
BUGFIX: Core   | Skip pointless hashing of metadata fake download content [Parg]
BUGFIX: UI     | Fix OSX sidebar indicator rendering 0 in black [Parg]
BUGFIX: UI     | Ensure the info-parameter entries show the latest values [Parg]
BUGFIX: UI     | Ignore media server URIs when monitoring clipboard for torrent links [Parg]
BUGFIX: UI     | Fix inconsistent table depth when hidden rows removed from a table [Parg]
BUGFIX: UI     | Fix Files View piece column sort when download stopped [Parg]

2020.09.21 | BiglyBT 2.5.0.0

FEATURE: Core  | Support BitTorrent Protocol Specification v2 (BEP 52) [Parg]
FEATURE: Core  | Support padding files (BEP 47) [Parg]
FEATURE: Core  | Option to increase magnet recovery concurrency [Parg]
FEATURE: Core  | New option to ignore swarm discoveries based on minimum seeds [Parg]
FEATURE: Core  | Remember tags-on-removal in download history [Parg]
FEATURE: Core  | Options to disable interim download state saving for performance [Parg]
FEATURE: Core  | Subscription option to prefix save location on auto-download [Parg]
FEATURE: UI    | New 'All Pieces' view to show all current uploading/downloading pieces [Parg]
FEATURE: UI    | Resizable chat window input area [Parg]
FEATURE: UI    | Indicate if file is 'delete' or 'DND' in Files View via checkbox icon background colour [Parg]
FEATURE: UI    | Shift+deselect a file in Files View to delete it [Parg]
FEATURE: UI    | Add-tag menu for shares menu [Parg]
FEATURE: UI    | Country name added to country stats tooltip [Parg]
FEATURE: UI    | Option to disable the tidy-close and progress dialog [Parg]
FEATURE: UI    | Option to show uploading pieces as well as downloading ones in Pieces View [Parg]
FEATURE: UI    | Add file(s) relative path as tooltip in piece map [Parg]
FEATURE: UI    | Add max-age to swarm discoveries search [Parg]
FEATURE: UI    | Double-clicking on a download history entry selects in Library view if found [Parg]
FEATURE: UI    | New 'Available' peers view column to show percentage peer has that we still need [Parg]

CHANGE: Core   | Dump thread log to separate file [Parg]
CHANGE: Core   | Disable thread monitoring by default on Linux as causing libpthread crashes [Parg]
CHANGE: Core   | Accept same size files when only one found when searching for existing [Parg]
CHANGE: Core   | More efficient bit torrent message decoding [Parg]
CHANGE: Core   | Removed legacy Beta chat [Parg]
CHANGE: Core   | Decrease and spread out disk io caused by scrapes [Parg]
CHANGE: Core   | When adding for seeding with a tag that has an initial save location, check move location too [Parg]
CHANGE: Core   | Increase max peer requests [Parg]
CHANGE: Core   | Check Tag move-to-folder for existing data on auto import [Parg]
CHANGE: UI     | Populate category names/icons in tag category group columns [Parg]
CHANGE: UI     | Added chat friends column legend tooltip [Parg]
CHANGE: UI     | Support alt/shift and alt drag+drop to a tag to indicate explicit addition/removal [Parg]
CHANGE: UI     | Update iTunes & Android icons [RandomAJL]
CHANGE: UI     | Truncate long swarm merge tooltip and add option to view all [Parg]
CHANGE: UI     | Allow text viewer to be minimized [Parg]
CHANGE: UI     | Made manual backup progress dialog non-modal [Parg]
CHANGE: UI     | Add timestamps to redirected console log [Parg]
CHANGE: UI     | Optimize piece info view to only fill visible area [Parg]
CHANGE: UI     | Don't limit width of bind-ip setting [Parg]
CHANGE: UI     | Select best matching network interface regular expression when possible [Parg]
CHANGE: UI     | Change Files View filter for full path to be 'contains' not 'prefix' [Parg]
CHANGE: UI     | pt_BR: Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | sl_SI: Slovenian translation update [upwinxp]
CHANGE: UI     | tr_TR: Turkish translation update [BouRock]
CHANGE: UI     | de_DE: German translation update [Unknown]

BUGFIX: Core   | Fix auto plugin install [Parg]
BUGFIX: Core   | Fix some issues around share properties [Parg]
BUGFIX: Core   | Fix pause/resume handling for non-persistent downloads [Parg]
BUGFIX: Core   | Fixed search-for-existing files when matched has incorrect storage type [Parg]
BUGFIX: Core   | Fix storage type switch from reorder->linear from search-for-existing [Parg]
BUGFIX: Core   | Fix error when tracker has no URL [Parg]
BUGFIX: Core   | Improve anonymous chat recovery when I2P is down [Parg]
BUGFIX: Core   | Fix save location for archived downloads with move-on-remove active [Parg]
BUGFIX: UI     | Fix tag library header on Linux [Parg]
BUGFIX: UI     | Guard against component width recalculation recursion [Parg]
BUGFIX: UI     | Torrents subview missing some context menu items [Parg]
BUGFIX: UI     | Fix unreliable chat table tooltips [Parg]
BUGFIX: UI     | Fix excessive cell invalidates in peer pieces item [Parg]
BUGFIX: UI     | Fix sidebar repaint problems with mousewheel scroll on OSX [Parg]
BUGFIX: UI     | Fix request-scrape menu enable logic [Parg]
BUGFIX: UI     | Don't truncate unicode surrogates [Parg]
BUGFIX: UI     | Fixed a few things around peer-set tag groups [Parg]
BUGFIX: UI     | Avoid creation of multiple subscription menu items [Parg]
BUGFIX: UI     | Increased speed shell typed text alpha as invisible on darker backgrounds [Parg]
BUGFIX: UI     | Explicitly anti-alias library header text [Parg]
BUGFIX: UI     | Fix test for blocks being in cache in pieces view [Parg]
BUGFIX: UI     | Fix duplicate rows on table structure change [Parg]
BUGFIX: UI     | Fix all-trackers removal actions not showing existing ones [Parg]
BUGFIX: UI     | Various file access performance improvements [TuxPaper]
BUGFIX: UI     | Fix batch file rename with only case difference [Parg]
BUGFIX: UI     | Fix rename of file in case only again [Parg]

2020.05.11 | BiglyBT 2.4.0.0

FEATURE: Tag   | New tagPosition Tag constraint function [Parg]
FEATURE: Tag   | Tag execute-on-assign values of 'host/publish on tracker' [Parg]
FEATURE: Tag   | Tag Group option to automatically set move-on-assign to members [Parg]
FEATURE: Tag   | New move-on-assign Tag files feature [Parg]
FEATURE: Core  | Option to restrict external torrents to known ones [Parg]
FEATURE: Core  | Option to include skipped files when searching for existing [Parg]
FEATURE: Core  | Auto publish to chat feature [Parg]
FEATURE: Core  | Added asset-date to RSS items to distinguish magnet dates [Parg]
FEATURE: Core  | Added tracker logging [Parg]
FEATURE: Core  | Warn about potential tracker update fails on close-down [Parg]
FEATURE: Core  | Separate public and private tracker announce thread pools [Parg]
FEATURE: Core  | Added option to set tracker announce concurrency [Parg]
FEATURE: Core  | Added logging command and option to log all input/output to a file [Parg]
FEATURE: Core  | Option to set local names for Friends [Parg]
FEATURE: UI    | Added close-down tracker update time limit and progress indicator [Parg]
FEATURE: UI    | Added a 'has private torrents' column to All Trackers view [Parg]
FEATURE: UI    | New Tracker Activity view under Statistics [Parg]
FEATURE: UI    | Smarter magnet URI name truncation [Parg]
FEATURE: UI    | Warn about excessive tracker lag [Parg]
FEATURE: UI    | Added option to reset tabs [Parg]
FEATURE: UI    | Drag+drop tab reordering [Parg]
FEATURE: UI    | Added 'save path' column to open-torrent-options LHS [Parg]
FEATURE: UI    | Support more file menu options on FilesView inner tree nodes [Parg]
FEATURE: UI    | Share-Download with chat context menu [Parg]
FEATURE: UI    | Added delete menu option to chat MDI [Parg]
FEATURE: UI    | Clipboard copy for torrent comment in General view [Parg]
FEATURE: UI    | Show all buddy IP addresses [Parg]
FEATURE: UI    | Added time indicators to speed graphics [Parg]
FEATURE: UI    | Custom date format for chat window [Parg]
FEATURE: UI    | New 'quick links' toolbar [Parg]
 
CHANGE: Tag    | Execute-on-assign: change 'delete' to 'disconnect' for peer sets [Parg]
CHANGE: Tag    | Remember tag sharing state in add-tag dialog [Parg]
CHANGE: Core   | Maintain IPv4 DHT binding when testing IPv6 [Parg]
CHANGE: Core   | Log originator IP with authentication error [Parg]
CHANGE: Core   | Set default refresh frequency for chat based RSS lower [Parg]
CHANGE: Core   | Log URL group map changes [Parg]
CHANGE: Core   | Try to maintain URL set order when applying DNS mods [Parg]
CHANGE: Core   | Added some download state checks prior to 'search for existing' dialog [Parg]
CHANGE: Core   | Support lower 'ignore FP rules for no upload time' values [Parg]
CHANGE: Core   | If a complete torrent is manually moved then prevent auto-move later [Parg]
CHANGE: Core   | Cache buddy profile data [Parg]
CHANGE: UI     | pt_BR: Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | tr_TR: Turkish translation update [BouRock,Snn1452]
CHANGE: UI     | no_NO: Norwegian translation update [lislei]
CHANGE: UI     | sl_SI: Slovenian translation update [upwinxp]
CHANGE: UI     | zh_CN: Simplified Chinese translation update [YuDong;spice2wolf]
CHANGE: UI     | ko_KR: Korean translation update [tmddn741741]
CHANGE: UI     | Added a few more places to discuss trackers [Parg]
CHANGE: UI     | Tidy up the chat discussion menus [Parg]
CHANGE: UI     | Keep the UI updating during close-down so you can see progress [Parg]
CHANGE: UI     | Place plugin sub-sections below core sub-sections [TuxPaper]
CHANGE: UI     | Improve tracker source status text when disabled [Parg]
CHANGE: UI     | Support shift/ctrl+enter as well as alt for soft newline [Parg]
CHANGE: UI     | Indicate connected friends [Parg]
CHANGE: UI     | Make subfolder in open-torrent-options scale with window size [Parg]
CHANGE: UI     | BiglyBT DHT view for all [Parg]
CHANGE: UI     | 'only show transcoded content' -> 'only show listed content' for win/osx [Parg]

BUGFIX: Tag    | Fix Tag FilesView not working [Parg]
BUGFIX: Tag    | Fix Tag Settings scroll behaviour [Parg]
BUGFIX: Core   | Ignore I2P flipping in DHT registrations [Parg]
BUGFIX: Core   | Prevent duplicate UPnP logs [Parg]
BUGFIX: Core   | Fix stats in all-trackers view [Parg]
BUGFIX: Core   | Ensure we save any outstanding stats on close [Parg]
BUGFIX: Core   | Fix case when last file in torrent is 0 byte and starts on a new piece [Parg]
BUGFIX: Core   | Don't hide our own messages when ip-filtered [Parg]
BUGFIX: Core   | Reduce pairing message size to fix update error [Parg]
BUGFIX: Core   | Fix deadlock in temporary ban path [Parg]
BUGFIX: Core   | Fix double-magnet download bug [Parg]
BUGFIX: Core   | Fix up chat removal a bit [Parg]
BUGFIX: Core   | Fix large tracker interval bug [Parg]
BUGFIX: Core   | Decrease active folder writes for inactive downloads [Parg]
BUGFIX: Core   | Don't use expensive swarm merge info for simple test if merging [Parg]
BUGFIX: Core   | Improve multi-address buddy boost detection [Parg]
BUGFIX: Core   | Fix ETA average overflow [Parg]
BUGFIX: Core   | Don't chunk ETA history values as messes up short eta restore [Parg]
BUGFIX: Core   | Only prompt for I2P install if explicit I2P tracker host [Parg]
BUGFIX: Core   | Work around corrupt torrents with surplus length field [Parg]
BUGFIX: Core   | Fix backup fails caused by file-in-use [Parg]
BUGFIX: UI     | Fix MyTracker date-added sort [Parg]
BUGFIX: UI     | Select the Tag Settings tab when requested to do so [Parg]
BUGFIX: UI     | Remember TabbedMDI selected Tab for non-main-MDI [Parg]
BUGFIX: UI     | Tidy up the search-for-files logging a bit [Parg]
BUGFIX: UI     | Handle surrogates in menu split logic [Parg]
BUGFIX: UI     | Fix OSX image alpha issue on 4932r18 (4.15) [Parg]
BUGFIX: UI     | Fix password entry [Parg]
BUGFIX: UI     | Ignore DiskManagerFileInfo selection in fancy menu [Parg]
BUGFIX: UI     | Re-sort FilesView on data source change [Parg]
BUGFIX: UI     | Fix empty groups on lower user modes [TuxPaper]
BUGFIX: UI     | Support udp:// urls in clipboard for trackers [Parg]
BUGFIX: UI     | Fix ParameterGroup.size to include TabFolder [TuxPaper]
BUGFIX: UI     | Keep download speed stats running correctly over stop/starts [Parg]
BUGFIX: UI     | Fix backup-hours disabling/enabling [Parg]
BUGFIX: UI     | Fix 'posted' count in chat view [Parg]


2020.03.04 | BiglyBT 2.3.0.0

FEATURE: Tag   | Added isSequential() tag constraint function [Parg]
FEATURE: Core  | Option to periodically restart downloads with missing files [Parg]
FEATURE: Core  | Friends profile option to specify country code [Parg]
FEATURE: Core  | Chat option to use IPFilter to support blocking spammers [Parg]
FEATURE: Core  | Session up/down tracker stats [Parg]
FEATURE: Core  | Option to specify additional ‘global’ IPv6 address ranges [Parg]
FEATURE: Core  | Some alt-network support for main+v6 dht seeding [Parg]
FEATURE: Core  | Add category to archived downloads view [Parg]
FEATURE: UI    | Add colour to active library search; search history [Parg]
FEATURE: UI    | Separate search histories by table type [Parg]
FEATURE: UI    | Added history enable config [Parg]
FEATURE: UI    | Support explicit v4/v6 friend profile data  [Parg]
FEATURE: UI    | Java config option to view recent memory usage stats [Parg]
FEATURE: UI    | Option to show the local peer in PeersView [Parg]
FEATURE: UI    | Add pieces column to peer’s file view [Parg]
FEATURE: UI    | Sidebar indicators for Categories all+uncategorized [Parg]
FEATURE: UI    | Sidebar indicators for My Shares and My Torrents [Parg]
FEATURE: UI    | Support category tab counts for all/uncat in classic UI [Parg]
FEATURE: UI    | Sidebar indicator for Tags Overview [Parg]
FEATURE: UI    | All-peers count indicator [Parg]
FEATURE: UI    | Show a DDB Graph IPv6 when no IPv4 [Parg]
FEATURE: UI    | Show some message history on chat column [Parg]
FEATURE: UI    | Ctrl+tab/ctrl+shift+tab for next/prev sidebar views [Parg]
FEATURE: UI    | Highlight other subs results with same hash as selected [Parg]
FEATURE: UI    | Option to show icons for tag filter buttons in library [Parg]
FEATURE: UI    | Remember sub-tab order [Parg]

CHANGE: Core   | Config option to enable all diagnostic logs [Parg]
CHANGE: Core   | Increase timeouts for anon friend torrent/rss [Parg]
CHANGE: Core   | Drop support for GCJ in the startup script [TuxPaper]
CHANGE: Core   | Persists download error state across restarts [Parg]
CHANGE: Core   | Remember force-start state for auto-restart error downloads [Parg]
CHANGE: Core   | Report errors encountered during explicit 'check for updates’ [Parg]
CHANGE: Core   | Make ‘update anonymously’ advanced and warn of potential issues [Parg]
CHANGE: Core   | Auto-enable IPv6 support when liveness detected [Parg]
CHANGE: Core   | Handle some more redirect HTTP codes [Parg]
CHANGE: Core   | Remove JSONJava due to “good” licensing issues and some *nix policies [TuxPaper]
CHANGE: UI     | pt_BR: Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | tr_TR: Turkish translation update [BouRock,Snn1452]
CHANGE: UI     | no_NO: Norwegian translation update [lislei]
CHANGE: UI     | sl_SI: Slovenian translation update [upwinxp]
CHANGE: UI     | zh_CN: Simplified Chinese translation update [G2159687]
CHANGE: UI     | cs_CZ: Czech translation update [Tsbook]
CHANGE: UI     | Disable search box tooltip when it has content [Parg]
CHANGE: UI     | Debug->Run GC for classic UI [Parg]
CHANGE: UI     | Rework swarm view to use buffer image [Parg]
CHANGE: UI     | Don’t round MB memory values to GB once >= 1 GB   [Parg]
CHANGE: UI     | enable ‘search for data files’ if download in error state [Parg]
CHANGE: UI     | Limit piece map to 32k pieces for performance [Parg]
CHANGE: UI     | Don’t force share-ratio column width to be 80 in simple views [Parg]
CHANGE: UI     | Select existing row when selected row removed [Parg]
CHANGE: UI     | No implicit secondary sort when multi-sort for some others [Parg]
CHANGE: UI     | Make quick-file-rename dialog resizeable + remember pos [Parg]
CHANGE: UI     | All Peers should really be under the View menu [Parg]

BUGFIX: Core   | Don’t track transient buddies or accumulate them [Parg]
BUGFIX: Core   | Fix swarm-merge off-by-one bug [Parg]
BUGFIX: Core   | Try and work around OSX recycler hang/slowness [Parg]
BUGFIX: Core   | Remove chance of increasing buddy status update events [Parg]
BUGFIX: Core   | Fix up persistent shares and tag/category handling [Parg]
BUGFIX: Core   | Fix DHT torrent xfer incorrectly being denied [Parg]
BUGFIX: Core   | Fix download missing-file detection [Parg]
BUGFIX: Core   | Remove metadata download if torrent manually added [Parg]
BUGFIX: Core   | Prevent share-ratio overflow [Parg]
BUGFIX: Core   | Check we can write to torrent download location [Parg]
BUGFIX: Core   | Fix some errors being lost in torrent download process [Parg]
BUGFIX: Core   | Fix auto-tagging of simple torrents [Parg]
BUGFIX: Core   | Fix plugin search provider resolution [Parg]
BUGFIX: Core   | Fix logs/*.log file max size being reset [Parg]
BUGFIX: Core   | Fix smooth stats inaccuracy under load [Parg]
BUGFIX: Core   | Use correct classloader when building standalone view [Parg]
BUGFIX: UI     | Don’t grab focus away from an active library search [Parg]
BUGFIX: UI     | Fix some image leaks [Parg]
BUGFIX: UI     | Tidy up some my-peer menu item availabilities [Parg]
BUGFIX: UI     | Bring back chat nick colours on Windows [Parg]
BUGFIX: UI     | Handle ’&’ in save-path matches menu [Parg]
BUGFIX: UI     | Keep subs view sort order across rebuilds [Parg]
BUGFIX: UI     | Fix category tabs in classic ui a bit [Parg]
BUGFIX: UI     | Fix open-torrent-options dialog file on tag rebuild [Parg]
BUGFIX: UI     | Fix activity view colours reverting to def when legend hidden [Parg]
BUGFIX: UI     | Fix tag-discoveries indicator refresh [Parg]
BUGFIX: UI     | Fix double-click minimize tab folder logic [Parg]
BUGFIX: UI     | Fix setting column defaults always replacing current [Parg]
BUGFIX: UI     | Fix toolbar behaviour in all-trackers + torrents sub-view [Parg]
BUGFIX: UI     | Fix previous sidebar entry not being selected on entry close [Parg]
BUGFIX: UI     | Fix slow Files View selecting torrents with large file count. [TuxPaper]
BUGFIX: UI     | Handle supplemental Unicode in GCStringPrinter [Parg]
BUGFIX: UI     | Fix ability to re-open closed sub-tabs with separate tag column config [Parg]
BUGFIX: UI     | need to actually grab focus when not prevented from doing so [Parg]
BUGFIX: UI     | Fix fake cell tooltip error [Parg]
BUGFIX: UI     | Make sure we resolve view title resource ids [Parg]
BUGFIX: UI     | Don't destroy sub-tabs control if closed views exist [Parg]
BUGFIX: UI     | Fix ping graphic redraw behaviour on linux [Parg]
BUGFIX: UI     | Prevent multiple UI updates per cycle [Parg]


2019.12.13 | BiglyBT 2.2.0.2

FEATURE: UI    | Add sidebar dashboard reset option [Parg]
FEATURE: UI    | Chat window now supports <n>...</n> to disable emphasis [Fubar99]

CHANGE: UI     | Rate limit table vertical scrolling [Parg]
CHANGE: UI     | Remember DDB Graph, Vivaldi view and activity column widths across tab switches [Parg]

BUGFIX: Core   | Wait for plugin-proxy connections to actually connect [Parg]
BUGFIX: Core   | Apply OS-specific filename character validation to renames in torrent options dialog [Parg]
BUGFIX: UI     | Speed Graphic performance improvements [Parg]
BUGFIX: UI     | Fix sidebar dashboard not building when UI hidden [Parg]
BUGFIX: UI     | Fix UI deadlock [Parg]


2019.12.10 | BiglyBT 2.2.0.0

FEATURE: Tag   | Added isSuperSeeding() constraint function [Parg]
FEATURE: Tag   | Add count indicator. Shows "Inclusive | Exclusive" count when > 1 tag [TuxPaper]
FEATURE: Tag   | Option to disable tracker auto-tagging [Parg]
FEATURE: Tag   | Explicit option to select which tags are library view filter buttons [Parg]
FEATURE: Core  | Support regular-expression matching for bind interface selection [Parg]
FEATURE: Core  | Option to rename magnet downloads based on their ‘dn’ [Parg]
FEATURE: Core  | option to only rename single file magnets if they have an extension [Parg]
FEATURE: Core  | IPv6 multiple global address firewall checks [Parg]
FEATURE: Core  | Support auto-skip and auto-tag for torrent folder auto-imports [Parg]
FEATURE: Core  | Option to download to temporary folder and move to original dest when done [Parg]
FEATURE: Core  | Allow tracker updates as well as download duplication for same hash [Parg]
FEATURE: Core  | Option to disable smart tracker activation [Parg]
FEATURE: Core  | Option to control minimum number of pieces for a file to be considered for swarm merging [Parg]
FEATURE: Core  | Option to revert file locations but retain any name changes [Parg]
FEATURE: Plug  | Plugin access to multiple DHT local addresses [Parg]
FEATURE: Plug  | Support xcode for linux [Parg]
FEATURE: UI    | Multiple column sort. CTRL+Click (CMD for Mac). Also Header menu rework. [TuxPaper]
FEATURE: UI    | Added super-seeding library view column [Parg]
FEATURE: UI    | Next I2P scrape time shown in Sources view [Parg]
FEATURE: UI    | Collapse All/Expand All menu items added to Files View tree nodes; also default double-click action [Parg]
FEATURE: UI    | Options to automatically decline unknown SSL certificates instead of prompting [Parg]
FEATURE: UI    | Sorting for table view sub-rows [Parg]
FEATURE: UI    | Add Columns by dragging from Into tab to column header [TuxPaper]
FEATURE: UI    | Speed sub-tab support for multiple selected downloads [Parg]
FEATURE: UI    | Age-specific custom date formats [Parg]
FEATURE: UI    | DND from torrent list to tag overview list [TuxPaper]
FEATURE: UI    | Mouse wheel to scroll TabeView or ScrolledComposite that cursor is over. [TuxPaper]
FEATURE: UI    | Show Piece Map and Piece Distribution when no piece selected. [TuxPaper]
FEATURE: UI    | Show Piece Map when torrent is stopped. [TuxPaper]
FEATURE: UI    | Added file offset to piece map header info [Parg]
FEATURE: UI    | Long-press on cancel button to close multiple advanced rename dialogs [Parg]
FEATURE: UI    | Make advanced rename dialog show one at a time, ESC to cancel all [TuxPaper]
FEATURE: UI    | Unify config-wizard + nat-check-wizard somewhat, add IPv6 to config one [Parg]
FEATURE: UI    | Added item count, active + queued to other table views [Parg]
FEATURE: UI    | Session stats option for up/down idle column [Parg]
FEATURE: UI    | Combined Library detailed list view option [Parg]
FEATURE: UI    | Double click tracker in Sources view -> All Trackers entry [Parg]
FEATURE: UI    | Ctrl+a selects all in skin text box; fixup open torrent window somewhat [Parg]
FEATURE: UI    | Show bad availability in general view [Parg]
FEATURE: UI    | Option to show transferring pieces in general view [Parg]
FEATURE: UI    | Separate sidebar dashboard view [Parg]
FEATURE: UI    | Options to hide/show legends [Parg]

CHANGE: Core   | Update SWT version checking to include release numbers [Parg]
CHANGE: Core   | Tidy up some tracker announce error messages [Parg]
CHANGE: Core   | Reworked swarm-merging to handle partial blocks better [Parg]
CHANGE: UI     | pt_BR: Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | tr_TR: Turkish translation update [BouRock,Snn1452]
CHANGE: UI     | zh_CN: Simplified Chinese translation update [G2159687]
CHANGE: UI     | sl_SI: Slovenian translation update [upwinxp]
CHANGE: UI     | Sources view now shows separate entry per plugin [Parg]
CHANGE: UI     | Reduce image lookups when there definitely is no image to lookup [TuxPaper]
CHANGE: UI     | Searching in the Options view now searches option values [Parg]
CHANGE: UI     | Added existing 'monitor clipboard for torrents' to Options view [Parg]
CHANGE: UI     | Restructure Views to use Builders [TuxPaper]
CHANGE: UI     | When scrolling torrents, pieces graphs weren't being redrawn immediately [TuxPaper]
CHANGE: UI     | Hack to show currently selected content on ctrl+hover on toolbar [Parg]
CHANGE: UI     | Increase min_seeds spinner max from 100 to Integer.MAX [Parg]
CHANGE: UI     | Update secret Files Mini View popup \o/ [TuxPaper]
CHANGE: UI     | Don’t update selected content/menu 100 times when removing 100 rows [TuxPaper]
CHANGE: UI     | Add ipv6 address to transfer stats panel [Parg]
CHANGE: UI     | Different border colour for forced pieces [Parg]
CHANGE: UI     | Use anon-flag for anon downloads in swarm view [Parg]
CHANGE: UI     | Add some stability to multiple swarm view entries [Parg]
CHANGE: UI     | Tooltip for template combo to show contents [Parg]
CHANGE: UI     | Ensure user selects open-torrent-option dialog behaviour once open [Parg]
CHANGE: UI     | Disable save path selection when Tag selected with 'initial save location' defined [Parg]
CHANGE: UI     | Keep connections+upload queued stats graphs updated when focus lost [Parg]

BUGFIX: Tag    | Fix paused-tag not updating correctly when transition to/from stopped [Parg]
BUGFIX: Tag    | Ensure open-torrent-options tags with initial save locations behave consistently [Parg] 
BUGFIX: Plug   | Prevent I2P router unavailability from stalling buddy plugin init [Parg]
BUGFIX: Plug   | Fix FAQ link in swarm discoveries [Parg]
BUGFIX: Core   | Don't trim file names when linking - files can start/end in spaces [Parg]
BUGFIX: Core   | Full updates can't be manually installed - don't allow this to be attempted [Parg]
BUGFIX: Core   | Ignore a few more troublesome and irrelevant backup folders [Parg]
BUGFIX: Core   | Keep NameService proxy working from Java 12+ [Parg]
BUGFIX: Core   | Explicit ipv4 resolve for nat check to avoid prefer-ipv6 issue [Parg]
BUGFIX: Core   | IPv6 buddy fixes [Parg]
BUGFIX: Core   | Fix ipv6 asn handling [Parg]
BUGFIX: Core   | Fix buddy plugin anon outbound connection selection [Parg]
BUGFIX: Core   | Fix a few places where torrent .bak files not being deleted [Parg]
BUGFIX: Core   | Fix bug with support for biglybt. prefix sys props [Parg]
BUGFIX: Core   | Fix super-seeding bug causing disconnects between BiglyBT clients [Parg]
BUGFIX: Core   | Fix sequential download bug where first file to complete was cancelling it [Parg]
BUGFIX: UI     | On OSX Catalina the options view scroll area was truncated [Parg]
BUGFIX: UI     | Fix image leak [TuxPaper]
BUGFIX: UI     | ReleaseImageLeft logic was wrong and never released images [TuxPaper]
BUGFIX: UI     | Some fixes around select of last sidebar entry on startup [Parg]
BUGFIX: UI     | Fix open-torrent-options window positioning bug [Parg]
BUGFIX: UI     | Stable sort for 'new' column in Files View [Parg]
BUGFIX: UI     | Fix menu name split bug [Parg]
BUGFIX: UI     | Fix torrent info-view scrolling [Parg]
BUGFIX: UI     | Column custom date format selection doesn't depend on selected rows [Parg]
BUGFIX: UI     | Fix Chat Overview, right click on chat, “Show in Tab” not working [Parg]
BUGFIX: UI     | Fixup FilesView flat/tree view switch selection scroll bug [Parg]
BUGFIX: UI     | Fix open-torrent-options availability view [Parg]
BUGFIX: UI     | GTK3 BubbleTextBox tweak for color and icon sizing [TuxPaper]
BUGFIX: UI     | GTK tweaks to show colored checkbox [TuxPaper]
BUGFIX: UI     | Improve library header info calc perf [Parg]
BUGFIX: UI     | Don’t rebuild FilesView if nothing has changed [Parg]
BUGFIX: UI     | Don’t double count selection size/done if dl+its files selected [Parg]
BUGFIX: UI     | Fix text truncation in DHT view [Parg]
BUGFIX: UI     | Use the position-change event(s) to force rank column invalidate [Parg]


2019.09.09 | BiglyBT 2.1.0.0

FEATURE: Plug  | We now have a uTorrent/BitTorrent client migration plugin [TuxPaper]
FEATURE: Plug  | New Swarm Discoveries 'explore' mode [Parg]
FEATURE: Tag   | Three tag view modes in tagging view with groups: Row, Column, Row-Compact [TuxPaper]
FEATURE: Tag   | Drag of Tags or to Tags or to Tag Groups now supported in most places [TuxPaper]
FEATURE: Tag   | F2 to rename tag when it has focus [TuxPaper]
FEATURE: Tag   | Added peer client id to Peer Set criteria [Parg]
FEATURE: Tag   | New Peer Set client auto classifier mode [Parg]
FEATURE: UI    | Added 'boost' checkbox peers column, restructured menu [Parg]
FEATURE: UI    | Support more multi-torrent option setting in open-torrent-options [Parg]
FEATURE: UI    | Library view config import/export [Parg]
FEATURE: UI    | Classic UI option to never show Tag library views [Parg]
FEATURE: UI    | OSX Dark Theme initial support [Parg]
FEATURE: UI    | Added search option to chat text [Parg]
FEATURE: UI    | Added collapse-all to Tag groups [Parg]
FEATURE: UI    | Peers view option to enable auto-Peer Set categorization [Parg]
FEATURE: UI    | Max-age and Min-seeds search filters for subscriptions [Parg]
FEATURE: UI    | Added 'show icons' menu to FilesView name item [Parg]
FEATURE: UI    | Implement 'and' library filter for spaces [Parg]
FEATURE: UI    | Added option to allow auto-assigned Tags in open-torrent-options to be subsequently modified [Parg]
FEATURE: Core  | Added last-active, downloading-for, date-added and date-completed to XML stats [Parg]
FEATURE: Core  | Added ability to revert files to original location via copy [Parg]
FEATURE: Core  | Reworked disk manager error handling to pick up 'no space' errors better [Parg]
FEATURE: Core  | Option to kick off a low-resource recheck of a seeding download [Parg]
FEATURE: Core  | Speed Limit Handler option to preserve existing limits across activation [Parg]
FEATURE: Core  | Added an aggressive hash checking mode [Parg]
FEATURE: Core  | Option to control max concurrent checking downloads [Parg]
FEATURE: Core  | Firewall test for IPv6 [Parg]

CHANGE: UI     | Vivaldi/XferStats/Swarm Explore: Make more Google Maps-like -> Fix mouse-scroll-to-zoom direction; Zoom to cursor [TuxPaper]
CHANGE: UI     | Sources (Trackers) View: Deleting via keyboard, toolbar, & content menu now use same prompt [TuxPaper]
CHANGE: UI     | Torrent and file piece graphic column now shown when torrent isn't running [TuxPaper]
CHANGE: UI     | Added Drag and Drop indicator when moving table columns around [TuxPaper]
CHANGE: UI     | Reduced IP Filter icons to fit library [Parg]
CHANGE: UI     | Prevent progress window from making main window visible if configured [Parg]
CHANGE: UI     | Maintain selection when switching between Files View table/tree mode [Parg]
CHANGE: UI     | Tag settings moved to separate UI config panel [Parg]
CHANGE: UI     | TagIcon column now shows download-state icons [Parg]
CHANGE: UI     | My Torrents sidebar children now more deterministically ordered [Parg]
CHANGE: UI     | 'show icon' config should affect sub-rows too [Parg]
CHANGE: UI     | Show category buttons in Tag views [Parg]
CHANGE: UI     | 'Already running' UI warning now allows user to wait for old instance to close [Parg]
CHANGE: UI     | Open-torrent-options dialog now has minimum depth for file table and scrollable Tags [Parg]
CHANGE: UI     | Categories now shown in open-torrent-options dialog and Tagging view [Parg]
CHANGE: UI     | Exclusive tag groups handled properly in open-torrent-options [Parg]
CHANGE: Tag    | Tag Visuals Overhaul. No more checkbox; Solid selected tags, unselected are border-only [TuxPaper]
CHANGE: Tag    | Library header tags are no longer buttons [TuxPaper]
CHANGE: Tag    | Better handling of tag coloring (text color vs tag color, tag color on similar bg color) [TuxPaper] 
CHANGE: Core   | Removed ip.discovervip.com for IP lookup as no longer working [Parg]
CHANGE: Core   | Clear cached peers when changing networks [Parg]
CHANGE: Core   | Seed to Peer ratio now based on aggregate scrape data [Parg]
CHANGE: Core   | Update downloads will not be put into a stopped state on addition [Parg]
CHANGE: Core   | Keep oldest subscription result publication date [Parg]

BUGFIX: UI     | Progress, Actions (Search Results) columns using wrong color when "Start UI before Core Initialization" is OFF [TuxPaper]
BUGFIX: UI     | Fix Tag Settings preventing max UL speed to be 0/unlimited, -1/disabled [TuxPaper]
BUGFIX: UI     | Fix Files View row invalidation [Parg]
BUGFIX: UI     | Fixed test-SOCKS button not working [Parg]
BUGFIX: UI     | Fixed some SWT issues for SWT 4757 [Parg]
BUGFIX: UI     | Inject explicit focus traversal on UI exit to pick up potential changes [Parg]
BUGFIX: UI     | Fix some issues with table column setup dialog [Parg]
BUGFIX: UI     | Prevent sound when hitting ctrl+x for regex filter [Parg]
BUGFIX: UI     | Fix sources/tracker view updating toolbar when nothing selected [Parg]
BUGFIX: UI     | Fix chat view styles no rendering sometimes [Parg]
BUGFIX: UI     | Improve browser popup white/black-listing [Parg]
BUGFIX: UI     | Bring back auto-speed 'adjustment interval' parameter [Parg]
BUGFIX: UI     | Subscription view table config not being saved [Parg]
BUGFIX: UI     | Category sidebar indicators not updating properly [Parg]
BUGFIX: Core   | Fixed search-for-existing-files failing on non-allocated downloads [Parg]
BUGFIX: Core   | Subscription auto-download should take note of persistent filters [Parg]
BUGFIX: Core   | Rechecking a completed torrent no longer updates completion date [TuxPaper]
BUGFIX: Core   | Fix speed limiters for client-id based Peer Sets [Parg]
BUGFIX: Core   | Fixed some long executing timer tasks [Parg]
BUGFIX: Core   | Handle partial-buddies and LAN limits properly [Parg]
BUGFIX: Core   | Fix renaming download on Windows when only case differs [Parg]
BUGFIX: Core   | Make sure we fixup file links when renaming downloads [Parg]
BUGFIX: Core   | Fixed re-download bug on stop-during-alloc/recheck [Parg]
BUGFIX: Core   | Make 'change data directory' work better with non-allocated downloads [Parg]
BUGFIX: Tag    | Fixed Tag constraint strings with escaped quotes like contains(name, "\""), hasTag("Foo\"Bar") [TuxPaper]
BUGFIX: Tag    | Bring back the display of Tag constraint errors [Parg]
BUGFIX: Tag    | Fix torrents being moved with Tag 'move on complete' when disabled [Parg]


2019.05.27 | BiglyBT 2.0.0.0

FEATURE: UI    | Most config parameters now have a "Reset to Default" option on right click of their label [TuxPaper]   
FEATURE: UI    | Console UI: Config sections and parameters now available via `config` command [TuxPaper]  
FEATURE: UI    | Added 'move' option to 'find existing data files' [Parg]
FEATURE: UI    | New option to hide 'torrent already added' dialogs [Parg]
FEATURE: UI    | Added 'show download' menu option when Files View has multiple downloads [Parg]
FEATURE: UI    | Extended torrent import start modes to match open-torrent dialog [Parg]
FEATURE: UI    | Added 'swarm merge' into to library message icons [Parg]
FEATURE: UI    | Added 'show in explorer' to File and Directory parameters context menu [TuxPaper]
FEATURE: UI    | Option for separate library table configuration for Tag and Tag Group views [Parg]
FEATURE: UI    | Added tooltip to config option labels to show minimum user mode [Parg]
FEATURE: UI    | Allow plugins to add to the Tools menu [TuxPaper]
FEATURE: Core  | Added additional 'add modes' of paused, stopped+allocated, paused+allocated [Parg]
FEATURE: Core  | Additional share-ratio related information in stats export [Parg]
FEATURE: Core  | Chat participant muting is now persisted [Parg]
FEATURE: Core  | Options to disable TCP/UDP peers [Parg]
FEATURE: Tag   | Added archive, delete from library and delete from computer as tag-ratio actions [Parg]
FEATURE: Tag   | Per-tag 'move on remove' file settings [Parg]

CHANGE: UI     | Config Sections restructured. Minor visual changes, but should mostly operate the same [TuxPaper] 
CHANGE: UI     | pt_BR: Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | sl_SI: Slovenian translation update [upwinxp]
CHANGE: UI     | yo_NG: Yoruba translation update [zoneboy,fatherfaith]
CHANGE: UI     | no_NO: Norwegian translation update [lislei]
CHANGE: UI     | sv_SE: Swedish translation update [Chessax]
CHANGE: UI     | Revert nick to blue when all other clashes muted [Parg]
CHANGE: UI     | Improve layout of transfer stats view [Parg]
CHANGE: UI     | Launch on single click only if it is left button [TuxPaper]
CHANGE: UI     | Relabel 'Set Preferred Width' to 'Size Column To Fit' [TuxPaper]
CHANGE: UI     | Instead of warning that the donation page didn't load, open externally [TuxPaper]
CHANGE: UI     | Remove dead search template [Parg]
CHANGE: UI     | Force BiglyBT active when selecting Tag Options->More... in system tray [Parg]
CHANGE: UI     | Persist chat participant ignore state [Parg]
CHANGE: UI     | Don't need spacer above buttons with custom checkbox [TuxPaper]
CHANGE: Core   | Overwrite any existing files when reverting file locations [Parg]
CHANGE: Core   | Increase permitted unauthorised buddies to reduce retries [Parg]
CHANGE: Core   | De-selecting files in a download that hasn't been started now sets priority as 'deleted' [Parg]
CHANGE: Core   | Remove dependency on Log4J [TuxPaper]
CHANGE: Core   | Back-off friend status updates when diversified [Parg]
CHANGE: Core   | Remove client-id migration features as no longer needed [Parg]

BUGFIX: UI     | Fix Linux combo padding [Parg]
BUGFIX: UI     | Fix NPE when showing nick's messages on hover [Parg]
BUGFIX: UI     | Fix download folder prefix detection [Parg]
BUGFIX: UI     | Tidy up after drag-complete otherwise subsequent externals drops don't work [Parg]
BUGFIX: UI     | Fix sidebar indicator outline colour inconsistency [Parg]
BUGFIX: UI     | Fix IP filter load-now button not loading URLs [TuxPaper]
BUGFIX: UI     | Ignore invalid webseeds in editor [Parg]
BUGFIX: UI     | Fix flicker on Windows when switching active row [TuxPaper]
BUGFIX: UI     | Fix toolbar build when groups removed [Parg]
BUGFIX: Core   | Fix download recheck after 'allocate and stop' enabled [Parg]
BUGFIX: Core   | Fix IP-filter zip file loading [TuxPaper]
BUGFIX: Core   | Fix TCP network listener not restarting [Parg]
BUGFIX: Core   | Ignore non-data SOCKS proxy properties properly when disabled [Parg]
BUGFIX: Core   | Fix webseed caching causing changes not to be picked up [Parg]
BUGFIX: Core   | Fix 'pause-for' not resuming stopped torrents [Parg]
BUGFIX: Core   | Ensure core lifecycle events are executed in the correct order [Parg]
BUGFIX: Core   | Handle relative URLs in RSS items [Parg]
BUGFIX: Core   | Fix failure to detect network interface changes (e.g. on VPN reconnect) [Parg]
BUGFIX: Core   | Catch more 'no more space' conditions for the 'auto resume on no space' feature [Parg]
BUGFIX: Plug   | Remove potential deadlock on closedown when I2P initialisation fails [Parg]
BUGFIX: Tag    | Tags with disabled or empty tag constraints shouldn't be treated as 'auto' [Parg]



2019.03.28 | BiglyBT 1.9.0.0

FEATURE: UI    | Option to split the advanced library view vertically (and select location of complete/incomplete panes) [Parg]
FEATURE: UI    | nl_BE: New Flemish translation [Pierre VdC]
FEATURE: UI    | Support returning to the PrivacyView for lookup results [Parg]
FEATURE: UI    | Add save-location to archive view [Parg]
FEATURE: UI    | Add main-tracker to archive view [Parg]
FEATURE: UI    | Added tag-group menu sub-items to tagging library view context menu [Parg]
FEATURE: UI    | Added ETA graph to speed tab [Parg]
FEATURE: UI    | Added message count to chat [Parg]
FEATURE: UI    | Friends now support profiles made visible in decentralized chat [Parg]
FEATURE: UI    | Added option to add friend key when available in decentralized chat [Parg]
FEATURE: UI    | Properties window now supports links [Parg]
FEATURE: UI    | Download rename dialog now shows the current download/save-path/torrent details and supports copying them [Parg]
FEATURE: UI    | Detect URLs in simple text entry window and show as clickable link [Parg]
FEATURE: UI    | Option to set user download comment in the add-torrent options dialog [Parg]
FEATURE: Core  | Option to pause/resume downloads when network force-bind lost [Parg]
FEATURE: Core  | Option to control search template/RSS feed read timeouts [Parg]
FEATURE: Core  | Added size-tolerance setting to 'find existing data files' [Parg]
FEATURE: Core  | Option to disable crypto-port extension in all-trackers view [Parg]
FEATURE: Core  | Option to auto-select sequential download by file extension [Parg]
FEATURE: Core  | ETA based download priority [Parg]
FEATURE: Core  | Sparse file support [Parg]
FEATURE: Core  | Support non-public partial friends [Parg]
FEATURE: Core  | Support non-public friends with separate nick/status/profile config and display [Parg]
FEATURE: Tag   | Added binary + decimal unit suffixes to constraints [Parg]
FEATURE: Tag   | Added control of Library row colors (foreground+background) on tag assignment [Parg]
FEATURE: Tag   | Added max_up and max_down constraint variables [Parg]
FEATURE: Tag   | Warn if setting a tag constraint might remove existing manual assignments [Parg]
FEATURE: Tag   | Added file_names_selected variable (ignores skipped files) [Parg]
FEATURE: Tag   | New constraint scope of 'new downloads' to be applied once only on download addition [Parg]
FEATURE: Tag   | Auto tag based on file extensions [Parg]
FEATURE: Tag   | Added Library columns for tag-groups (text and icon) [Parg]
FEATURE: Tag   | Added exclusive option to tag-groups [Parg]
FEATURE: Tag   | Added tag icon sort order [Parg]
FEATURE: Tag   | Tag selection dialog now used when specifying Friend/Chat tags/categories [Parg]
FEATURE: Tag   | Added 'isNew' tag constraint function [Parg]

CHANGE: UI     | Added reference to more settings/info from Friends plugin config page [Parg]
CHANGE: UI     | Use aggregate scrape results for seeds/peers item columns [Parg]
CHANGE: UI     | pt_BR: Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | sl_SI: Slovenian translation update [upwinxp]
CHANGE: UI     | yo_NG: Yoruba translation update [zoneboy,fatherfaith]
CHANGE: UI     | no_NO: Norwegian translation update [lislei]
CHANGE: UI     | Always add save-path to history, even if same as default [Parg]
CHANGE: UI     | SWT can handle system menu on OSX, remove JNI hacks [TuxPaper]
CHANGE: UI     | All-tracker view filter now works on status as well as name [Parg]
CHANGE: UI     | Sort tag group names [Parg]
CHANGE: UI     | Speed limit handler info now shows current time [Parg]
CHANGE: UI     | Don't reserve space in peer/seed columns when networks icons disabled [Parg]
CHANGE: UI     | File name is now pre-selected (except extension) in rename dialog [Parg]
CHANGE: Core   | Archive auto-add tags as well and ignore on restore for documentation purposes [Parg]
CHANGE: Core   | Don't allocate entire file if existing is shorter during rechecking [Parg]
CHANGE: Core   | Improve default ipv6 address selection [Parg]
CHANGE: Core   | Open manual browser on OSX via 'open -a' [Parg]
CHANGE: Core   | Force non-public tracker announce protocol to non-compact [Parg]
CHANGE: Plug   | Removed deprecated PluginConfigUIFactory and related classes [TuxPaper]

BUGFIX: UI     | Improve twisty alignment [Parg]
BUGFIX: UI     | Fix incorrect button being disabled when no templates in template editor [Parg]
BUGFIX: UI     | Fix tag assignment menu inconsistency [Parg]
BUGFIX: UI     | Clear tag constraint errors when constraint removed [Parg]
BUGFIX: UI     | Fix general view not being rebuilt [Parg]
BUGFIX: UI     | Fix status bar progress not clearing on min/max of BiglyBT [Parg]
BUGFIX: UI     | Remove selection when row removed [Parg]
BUGFIX: UI     | Fix space/comma entry bug in add-peers dialog [Parg]
BUGFIX: UI     | Fix download speed selector display for unlimited [Parg]
BUGFIX: UI     | Change ETA calculation to use outstanding pieces as well as file totals to fix incorrect estimation with DND files [Parg]
BUGFIX: UI     | Fix resize behaviour of graphic plots [Parg]
BUGFIX: UI     | Fix entries being added to sidebar when already removed [Parg]
BUGFIX: UI     | Inherit tag button background colour [Parg]
BUGFIX: Core   | Fix JSON Web Engines matching no more than 9 results [Parg]
BUGFIX: Core   | Fix launching files on Linux 64 [tsoliman]
BUGFIX: Core   | Fix launching files that contain spaces on Linux [tsoliman]
BUGFIX: core   | Fix potential delay download magnets during startup [Parg]
BUGFIX: Core   | Ensure core life-cycle started event always fired [Parg]
BUGFIX: Core   | Fix issue causing premature triggering of download completion [Parg]
BUGFIX: Core   | Fix concurrent-modification exception building swarm merge info [Parg]
BUGFIX: Core   | Ensure state file is deleted on download removal [Parg]
BUGFIX: Core   | Restart network listeners on separate threads to avoid blocking [TuxPaper]
BUGFIX: Core   | Increase allowed backup path depth [Parg]
BUGFIX: Core   | Fix sequential flag being cleared on other flag changes [Parg]
BUGFIX: Core   | Fix case-only file name changes not having any affect [Parg]
BUGFIX: Core   | Attempt to detect Alcohol 120 and disable related file icons on Windows as causing crash/hang [Parg]
BUGFIX: Core   | Always honour file priority delete/DND settings [Parg]



2019.01.21 | BiglyBT 1.8.0.0

FEATURE: UI    | New 'All Trackers' view [Parg]
FEATURE: UI    | Added local country stats view [Parg]
FEATURE: UI    | Added counts to highlighted links in country stats view [Parg]
FEATURE: UI    | Support Tag buttons in tag library views [Parg] 
FEATURE: UI    | Added 'show tag group' to sidebar menu [Parg]
FEATURE: UI    | Added 'status' and 'depends on' columns to Tags Overview [Parg]
FEATURE: UI    | Added tag constraint explanations [Parg]
FEATURE: UI    | OpenTorrentOptionsWindow now shows Tag Groups, all discovered tags [TuxPaper]
FEATURE: UI    | Option to disable tool-tips [Parg]
FEATURE: UI    | Report when recovered from corrupted torrent [Parg]
FEATURE: UI    | Option to hide side-bar icons [Parg]
FEATURE: UI    | Option to show auto-skip settings in open torrent dialog context menu [Parg]
FEATURE: UI    | Added 'download name' column - of use if multiple downloads in filesview [Parg]
FEATURE: UI    | Add FloatParameter to BasicPluginConfigModel [TuxPaper]
FEATURE: Core  | Added file size tolerance for swarm merge [Parg]
FEATURE: Core  | Support for multiple private torrents with the same hash [Parg]
FEATURE: Core  | Added some swarm-merge logging [Parg]
FEATURE: Core  | Resurrect ability to install plugins from .jar/.zip files [Parg]
FEATURE: Core  | Option to always rename imported files [Parg]
FEATURE: Core  | Option to setup uploaded stats for partially completed downloads to zero [Parg]
FEATURE: Core  | Added ability to manually install core+swt updates [Parg]
FEATURE: Core  | Support multiple socks data proxies [Parg]
FEATURE: Core  | Accept later versions of UPnP services [Parg]
FEATURE: Tag   | Added 'hasTagGroup' Tag constraint function [Parg]
FEATURE: Tag   | Added 'uploaded' and 'downloaded' Tag constraint variables [Parg]
FEATURE: Tag   | Added hoursToSeconds etc Tag constraint functions [Parg]
FEATURE: Tag   | Added comparison operators (<=, > etc) to Tag constraint language [Parg]
FEATURE: Tag   | Tag execute-on-assign option to move to initial save location [Parg]
FEATURE: Tag   | Added auto chat+tag for trackers [Parg]
FEATURE: Tag   | Added hasTagAge constraint function [Parg]
FEATURE: Tag   | Tag execute-on-assign option to assign other tags [Parg]
FEATURE: Tag   | save_path, save_folder Tag constraint variables [Parg]
FEATURE: Tag   | Added flag to control Tag constraint contains/matches case sensitivity [Parg]
FEATURE: Tag   | MyShares view now shows associated Tag and allows assignment [Parg]

CHANGE: UI     | Don't popup progress window when magnet download manually removed [Parg]
CHANGE: UI     | Ctrl+A selects all in constraint setting [Parg]
CHANGE: UI     | Use SWT's HiDPI scaling, remove our own [TuxPaper]
CHANGE: UI     | eu: Basque translation update [Azpidatziak]
CHANGE: UI     | fil_PH: Filipino translation update [toffer0291,dandalion]
CHANGE: UI     | it_IT: Italian translation update [Silviu93,imcesca]
CHANGE: UI     | pt_BR: Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | sl_SI: Slovenian translation update [upwinxp]
CHANGE: UI     | yo_NG: Yoruba translation update [zoneboy,fatherfaith]
CHANGE: UI     | Changed macOS menu bar icon to be visible in dark mode [deus0ww]
CHANGE: UI     | Doubled the resolution of macOS menu icon for retina display [deus0ww]
CHANGE: UI     | Allow pause-for on stopped/paused downloads [Parg]
CHANGE: UI     | Indent sidebar expandos options [Parg]
CHANGE: UI     | loadAndHandleVuzeFile may pull from network, move off SWT Thread [TuxPaper]
CHANGE: UI     | Retain selection state of meta-data downloads when real one added [Parg]
CHANGE: UI     | Use px font height less. Use % where we can. Fit font size to textbox [TuxPaper]
CHANGE: UI     | Use textbox hint when password is set, instead of ""***" [TuxPaper]
CHANGE: UI     | Allow '*' as whitelist component [Parg]
CHANGE: UI     | Support pasting peers on multiple lines [Parg]
CHANGE: UI     | Indicate state on fancy menu force-start icon [Parg]
CHANGE: UI     | Clicking on an expand/collapse icon in Library or Files View no longer selects the row [Parg]
CHANGE: UI     | Always show sidebar close menu in case "x" obfuscated by scrollbar [TuxPaper]
CHANGE: UI     | Larger click area for expand/collapse icon [Parg]
CHANGE: Plug   | *nix: Install Dorkbox-SystemTray plugin if not present [TuxPaper]
CHANGE: Core   | Retain category, thumbnail and user comments from metadata download [Parg]
CHANGE: Core   | Faster bdecoding of torrents etc [TuxPaper]
CHANGE: Core   | Faster closedown [Parg]
CHANGE: Core   | Optimize deletion when torrent has no file links [TuxPaper]
CHANGE: Core   | Revert download to correct state after file re-check [Parg]
CHANGE: Core   | Write UTF-8 BOM to log files, so editors don't have to guess encoding [TuxPaper]
CHANGE: Core   | Inject Privacy View lookup results if decent [Parg]
CHANGE: Core   | Remove reported client-ip when proxy connection used [Parg]
CHANGE: Core   | Don't wait forever to connect to plugin repo, and reduce retries [TuxPaper]
CHANGE: Core   | Reduce frequency of attempted connections when seeding [Parg]

BUGFIX: UI     | Fixed beta forum link [Parg]
BUGFIX: UI     | Fix stats labeling [Parg]
BUGFIX: UI     | Fix a few binary/decimal byte display inconsistencies [Parg]
BUGFIX: UI     | Don't save sub-path as torrent default download location [parg]
BUGFIX: UI     | Fix tool-tip remaining when raised on non-active view [Parg]
BUGFIX: UI     | Prevent multiple donation pop-ups [Parg]
BUGFIX: UI     | Clear potential background text when image available [Parg]
BUGFIX: UI     | Fix GTK3 issues with text chopped off [TuxPaper]
BUGFIX: UI     | Add tag after setting group, so UI shows it in the correct spot [TuxPaper]
BUGFIX: UI     | Added missing paint listener [Parg]
BUGFIX: UI     | Fix "Always ask for encoding" option not working [TuxPaper]
BUGFIX: UI     | Build library tag button menu on demand to get correct state [Parg]
BUGFIX: UI     | Fix download repositioning [Parg]
BUGFIX: UI     | Ensure icons are loaded on SWT thread [Parg]
BUGFIX: UI     | Handle invalid image bounds [Parg]
BUGFIX: Core   | Restore persistent subscription filters [Parg]
BUGFIX: Core   | Fix nested constraint expressions [Parg]
BUGFIX: Core   | Bring back support for categories in 'hasTag' [Parg]
BUGFIX: Core   | Fix 'save failed' for ClientStats [TuxPaper]
BUGFIX: Core   | Fix downloads being incorrectly started after file rename [Parg]
BUGFIX: Core   | Fix recovery bug when active/.dat files corrupted [Parg]
BUGFIX: Core   | Fix biglybt.log not correctly writing UTF-8 chars longer than one byte [TuxPaper]
BUGFIX: Core   | Fix deadlock in table display [Parg]
BUGFIX: Core   | Decentralized chat messages sometime out of order [Parg]



2018.10.18 | BiglyBT 1.7.0.0

FEATURE: UI    | CTRL+C to copy table contents in all table views [Parg]
FEATURE: UI    | Option to switch multi-tag selection to AND from OR in Library [Parg]
FEATURE: UI    | Support check-style fancy menu plugin items [Parg]
FEATURE: UI    | Double-click piece item now shows that piece in the piece map [Parg]
FEATURE: UI    | Show simple+details library view count when in simple view mode [Parg]
FEATURE: UI    | Options to change sidebar top-level order and remove entries [Parg]
FEATURE: UI    | Added ability to set torrent creation date [Parg]
FEATURE: UI    | Show which pieces have contributed during swarm merge read/write [Parg]
FEATURE: UI    | Context menu option in Files View to set download thumbnail [Parg]
FEATURE: UI    | Option to show Tag Groups in sidebar [Parg]
FEATURE: UI    | Added top-level-folder text field to torrent options dialog [Parg]
FEATURE: Core  | Added 'up_idle' and 'down_idle' Tag constraint variables [Parg]
FEATURE: Core  | Improve performance of download management for large libraries [Parg]
FEATURE: Core  | Added Tag 'execute on assign' action of 'post magnet URI to chat [Parg]
FEATURE: Core  | Show estimated country/global upload download rates [Parg]

CHANGE: UI     | Alternative config search highlight for GTK3 [Parg]
CHANGE: UI     | Added scroll-bar for decentralized chat config [Parg]
CHANGE: UI     | Make comment entry window larger and resizeable [Parg]
CHANGE: UI     | Alternative classic-UI wording for 'View in SIdebar' [Parg]
CHANGE: UI     | Shrink health color blob to circle when squished [Parg]
CHANGE: UI     | Completion progress shown as green when done [Parg]
CHANGE: UI     | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | Basque translation update [Azpidatziak]
CHANGE: UI     | Slovenian translation update [upwinxp]
CHANGE: Core   | Experiment to reduce file store access during startup [Parg]
CHANGE: Core   | Update network test servers [Parg]
CHANGE: Core   | Fail feed updates if force-bind missing [Parg]
CHANGE: Core   | Rate-limit magnet recovery [Parg]
CHANGE: Core   | Report more Javascript errors [Parg]
CHANGE: Core   | Switch DHT bootstrap [Parg]

BUGFIX: UI     | Handle images with 0 width/height [Parg]
BUGFIX: UI     | Position change refresh doesn't need to be on SWT thread [Parg]
BUGFIX: UI     | Remove disabled  plugin menu items from fancy menu [Parg]
BUGFIX: UI     | Fix layout issue on GTK for check box/radio highlight [Parg]
BUGFIX: UI     | Fix refresh bug on columns change [Parg]
BUGFIX: UI     | Fix sub-menu construction naming edge-case [Parg]
BUGFIX: UI     | Fix sash position on view restore [Parg]
BUGFIX: Core   | Fix Javascript Tag constraints [Parg]
BUGFIX  Core   | Remove chat participants when all messages removed [Parg]
BUGFIX: Core   | Fix repeat archive bug with multi-select [Parg]
BUGFIX: Core   | Fix Tag filtering NPE and synchronize correctly [Parg]
BUGFIX: Core   | When torrent file has UTF keys along with an invalid encoding value use the right keys [TuxPaper]
BUGFIX: Core   | Switch to use User Shell Folders on Windows [Parg]



2018.07.30 | BiglyBT 1.6.0.0

FEATURE: UI    | Options to pause/resume/cancel file-move operations [Parg]
FEATURE: UI    | Enhanced the 'find existing data files' dialog to handle multiple search roots and a copy (rather than link) option [Parg]
FEATURE: UI    | Collapse-all sidebar option for torrent views [Parg]
FEATURE: UI    | Support 3 character languages, such as Filipino (fil) [TuxPaper]
FEATURE: UI    | Colour column option to show non-defaults; tag settings menu to reset [Parg]
FEATURE: UI    | Ability to specify Tag icons [Parg]
FEATURE: UI    | Show tag icon on buttons and menus [Parg]
FEATURE: UI    | Additional 'status' sort option in torrent views [Parg]
FEATURE: UI    | Per-view type status sort [Parg]
FEATURE: UI    | Optional toolbar button to show/hide sidebar [Parg]
FEATURE: UI    | Added close-current-entry button when sidebar collapsed [Parg]
FEATURE: UI    | Added pop-out 'tagging view' option to download tag context menu [Parg]
FEATURE: UI    | Added update-now button to subs results view [Parg]
FEATURE: UI    | Added visual clue as to which downloads are being deleted [Parg]
FEATURE: UI    | Side Bar option to set close-icon location [Parg]
FEATURE: UI    | New FilesView column to display torrent file size in bytres [Parg]
FEATURE: Core  | Added option to downloaded/uploaded columns to set values [Parg]
FEATURE: Core  | Added option to auto-skip files based on name (with reg-exp support) [Parg]
FEATURE: Core  | Option to make downloads with incomplete friends first priority for seeding [Parg]
FEATURE: Core  | Option to stop download after file allocation+zeroing [Parg]
FEATURE: Core  | Individual file recheck option [Parg]
FEATURE: Core  | Tag setting to make assigned downloads first-priority seeds [Parg]
FEATURE: Core  | Option to pause active downloads after a config restore [Parg]
FEATURE: Core  | Option to disable torrent transfer via the BiglyBT DHT [Parg]
FEATURE: Core  | Added --savepath <path> option to BiglyBT [Parg]
FEATURE: Core  | Remember Tags that have been applied to metadata downloads [Parg]

CHANGE: UI     | Switched text for seeding+checking [Parg]
CHANGE: UI     | Enable the option to show sub-tabs in classic UI [Parg]
CHANGE: UI     | Added prompt when creating personal share for info [Parg]
CHANGE: UI     | Open torrent options now remembers queue position [Parg]
CHANGE: UI     | Confirm table column reset requests [Parg]
CHANGE: Core   | Changes with snubbing and request timeouts for non-public peers [Parg]
CHANGE: Core   | ignore do-not-download/delete priority files when searching for existing [Parg]

BUGFIX: UI     | Fixed individual file-move bug from Files View context menu [Parg]
BUGFIX: UI     | Fixed Downloading side-bar entry not remembering open state [Parg]
BUGFIX: UI     | Fixed search result sidebar indicator update [Parg]
BUGFIX: UI     | Fixed fancy menu selecting when mouse moved out of relevant area [Parg]
BUGFIX: UI     | Fix pixelated italic fonts some windows users are getting [Parg]
BUGFIX: UI     | Reduce change of accidental change when right-click and slight drag [Parg]
BUGFIX: UI     | Fixed internationalisation issue with plugin search providers [Parg]
BUGFIX: UI     | Fixed default tooltip being set when it shouldn't [Parg]
BUGFIX: UI     | Fixed copy-text-to-clipboard for FilesView name item [Parg]
BUGFIX: UI     | Fixed some issues around changing the display language [Parg]
BUGFIX: UI     | Hack to work around shell-disposal crash on Win10 [Parg]
BUGFIX: Plug   | Fixed webplugin whitelist handling for non-specific ports [Parg]
BUGFIX: Core   | Remote Friend seeding status change not being picked up [Parg]
BUGFIX: Core   | Fixed Friend download removal bug [Parg]
BUGFIX: Core   | Handle download removal from tag with fp seeding [Parg]
BUGFIX: Core   | Bring back -restart command line switch [Parg]



2018.04.10 | BiglyBT 1.5.0.0

FEATURE: UI    | Auto-scroll when dragging + dropping in Library views [Parg]
FEATURE: UI    | Option for 'intuitive numeric sort' for table views [Parg]
FEATURE: UI    | Option to disable table tool-tips [Parg]
FEATURE: UI    | Files View now supports a 'tree view' as well as a 'flat list' view [Parg]
FEATURE: UI    | Indicate when 'full copy seen' is distributed [Parg]
FEATURE: UI    | Added delete key support to Friends, Chat Overview and Sources tables [Parg]
FEATURE: UI    | Separate Files View header details including dnd file size [Parg]
FEATURE: UI    | Ctrl+a for friends tables [Parg]
FEATURE: UI    | Added 'unopened' column for files within torrents [Parg]  
FEATURE: UI    | Added option to not flash the chat status bar icon [Parg]
FEATURE: UI    | Added 'date modified' column to Files View [Parg]
FEATURE: UI    | Added some end-game-mode block visibility to pieces view and some info to piece map header [Parg]
FEATURE: UI    | Added 'same as previous' option to default table sort order [Parg]
FEATURE: UI    | Added a decentralised chat message status Library column [Parg]
FEATURE: UI    | RSS feeds can now be converted to JSON by appending ?format=json [Parg]
FEATURE: UI    | Option to have separate double-click and enter actions in Library view [Parg]
FEATURE: UI    | Added num-pad enter key support in a few places [Parg]
FEATURE: UI    | Insert nick names at caret position in chat view [Parg]
FEATURE: UI    | Added option to disable a Tag Constraint in settings view [Parg]
FEATURE: UI    | Added done/total piece column to Files View [Parg]
FEATURE: UI    | Made column date formats internationalisable [Parg]
FEATURE: UI    | Long-press on Category/Tag buttons adds/removes the current selection [Parg]
FEATURE: UI    | Right-click speed graphic option to reset [Parg]
FEATURE: Plug  | Added 'first seen' column to Swarm Discoveries [Parg]
FEATURE: Plug  | Added host white-list to web plugin views when password disabled [Parg]
FEATURE: Core  | Download option templates (e.g. max connections) can now be defined and automatically applied when downloads assigned to a Tag [Parg]
FEATURE: Core  | Added 'availability' Tag Constraint [Parg]
FEATURE: Core  | Added ability to specify a batch set of file rename commands for one or more downloads [Parg]
FEATURE: Core  | Added option to disable Swarm Discoveries for shares [Parg]
FEATURE: Core  | Added network selection options for share [Parg]
FEATURE: Core  | Try to maintain file times when renaming [Parg]
FEATURE: Core  | Tag import/export [Parg]
FEATURE: Core  | Support 'tracker lists' - tracker list is fetched from URL or file and expanded when tracker template is applied [Parg]
FEATURE: Core  | Option to change size of log files [Parg]
FEATURE: Core  | Improved plugin interface support for process creation [Parg]
FEATURE: Core  | Persist unsent chat messages across view close/re-open [Parg]
FEATURE: Core  | Added option to prevent computer sleep when a Tag has entries [Parg]

CHANGE: UI     | 'Downloading' and 'New' sidebar entries now closeable [Parg]
CHANGE: UI     | Added magnet-uri export to all table [Parg]
CHANGE: UI     | Don't always re-open MyShares/MyTracker view [Parg]
CHANGE: UI     | Handle raw chat message better [Parg]
CHANGE: UI     | Sort template names in tracker editor dialog [Parg]
CHANGE: UI     | Faded the health icons [Parg]
CHANGE: UI     | Categorise non-public connections as such in the routing info [Parg]
CHANGE: Core   | Reset 'download completed time' when switching files from DND to normal [Parg]
CHANGE: Core   | Pick up CDP link from guid entry in RSS feeds [Parg]
CHANGE: Core   | Support biglybt.* equivalents of azureus.* Java system properties [Parg]
CHANGE: Core   | Use DHT urls if no valid announce urls [Parg] 
CHANGE: Core   | Reworked end-game-mode somewhat [Parg]
CHANGE: Core   | Fix up some BiglyBT strings [Parg]

BUGFIX: UI     | Default columns were missing for Sources table [Parg]
BUGFIX: UI     | Handle de-selection of downloads better [Parg]
BUGFIX: UI     | Mark all partial peer LAN status with same IP [Parg]
BUGFIX: UI     | Sort 'fully copy seen' column correctly [Parg]
BUGFIX: UI     | Fixed layout issues with pop-out chat windows [Parg]
BUGFIX: UI     | Fix background colours for empty sub-rows [Parg]
BUGFIX: UI     | Fixed some table structure sync issues [Parg]
BUGFIX: UI     | Fixed some sub-tab table selection issues [Parg]
BUGFIX: UI     | Ensure selection re-instated when clicking back into an inactive table [Parg]
BUGFIX: UI     | Tidy up obfuscation and handle download names in peers view [Parg]
BUGFIX: UI     | Fixed files view refresh on file location change [Parg]
BUGFIX: UI     | Fix partial buddies not populating after view close+open [Parg]
BUGFIX: UI     | Fix scroll-bar sizing bug in Library views [Parg]
BUGFIX: UI     | Fix layout issue with Tags Overview/Settings [Parg]
BUGFIX: UI     | Fix some side-bar/tab entries not being restored over restart [Parg]
BUGFIX: Plug   | 'Command Runner' plugin command combo-list wasn't showing on OSX [Parg]
BUGFIX: Core   | Fixed 'piece marked as complete but not yet allocation' bug [Parg]
BUGFIX: Core   | Fix share torrents being deleted incorrectly [Parg]
BUGFIX: Core   | Fix bug in restoration of file flags [Parg]



2018.01.08 | BiglyBT 1.4.0.0

FEATURE: UI    | Table column option to size to preferred width [Parg]
FEATURE: UI    | Added options to copy all peer addresses to clipboard for a download [Parg]
FEATURE: UI    | Added option to copy your own peer address to clipboard in peer views [Parg]
FEATURE: UI    | Added magnet option to add xsource parameters to magnets that contain your peer address (default = for shares only) [Parg]
FEATURE: UI    | Sequential download for a given file added to Files View [Parg]
FEATURE: UI    | Added option to hide BiglyBT UI even when the Tray is disabled [Parg]
FEATURE: UI    | Added native notification support for Download alerts [Parg]
FEATURE: UI    | Added option to native tray to hide it [Parg]
FEATURE: UI    | Added 'leecher_max_complete' to Library and Tag Constraints [Parg]
FEATURE: UI    | F1 key opems Help [Parg]
FEATURE: UI    | Automatically chunk chat messages that exceed length limit [Parg]
FEATURE: UI    | Added tooltip for queued status that shows more information [Parg]
FEATURE: UI    | Router info now addable to Dashboard [Parg]
FEATURE: UI    | Added speed view for UPnP routers that support it [Parg]
FEATURE: UI    | Right-click option on NAT Status to invoke NAT Test [Parg]
FEATURE: UI    | Added option to control the auto-reload period for IP filters [Parg]
FEATURE: UI    | Added 'Partial Friends' view to the Friends view [Parg]
FEATURE: UI    | Friends view can now be added to Dashboard [Parg]
FEATURE: UI    | Added hide/show search bar to BiglyBT UI under View menu [Parg]
FEATURE: UI    | Enable toolbar open/search options when search bar hidden [Parg]
FEATURE: UI    | Added bbcode/markdown support for italic/bold in chat view [Parg]
FEATURE: UI    | Ctrl+B/I in chat view sets bold/italic [Parg]
FEATURE: UI    | Ctrl+V in Library views now pastes clipboard content as torrent/magnet [Parg]
FEATURE: UI    | Added option to show/hide various toolbar icons [Parg]
FEATURE: UI    | Added option to use separate start/stop toolbar icons [Parg]
FEATURE: UI    | Added force-recheck and files-exists toolbar icons (hidden by default) [Parg]
FEATURE: UI    | Hitting 'enter' in Library views now involes the default action [Parg]
FEATURE: UI    | Added long-press actions to start (force), stop (pause) and open (ctrl+v but note this is only the open button shown on the toolbar in non-classic mode when the 'search bar' is disabled) [Parg]
FEATURE: Plug  | Boss Key plugin ported [Parg]
FEATURE: Plug  | Categorized Destination plugin ported [Parg]
FEATURE: Core  | Added 'countTag' function to Tag Constraints [Parg]
FEATURE: Core  | Added 'completed_age', 'peer_max_completion' and 'peer_average_completion' variables to Tag Constraints [Parg]
FEATURE: Core  | Added 'size', 'size_mb' and 'size_gb' to Tag Constraints [Parg]
FEATURE: Core  | Added option to switch a download's torrent file [Parg]
FEATURE: Core  | Temporary data limit options added under F8/Quick Config [Parg]
FEATURE: Core  | New context menu option to export a download's torrent and data [Parg]
FEATURE: Core  | Added option to put DHT into (non-persistent) sleep mode [Parg]
FEATURE: Core  | Support auto-import of .magnet files in same way as .torrent files [Parg]
FEATURE: Core  | Added Download-specific move-on-complete option [Parg]
FEATURE: Core  | Added right-click option to Peers to boost their transfer. Works by making the peer a 'Partial Friend' [Parg]

CHANGE: UI     | Don't popup torrent download window if 'suppress popup' is enabled [Parg]
CHANGE: UI     | Alternative sort order added to Status column and option to revert [Parg]
CHANGE: UI     | Pre-fill Open Torrent window from clipboard if it looks relevant [Parg]
CHANGE: UI     | Piece Map view enhancements for file extents [Parg]
CHANGE: UI     | 'Routers' and 'Internet' now available in simple device view [Parg]
CHANGE: UI     | Improved the tooltip for NAT Status indicator [Parg]
CHANGE: UI     | Added Community menu to Classic UI [Parg]
CHANGE: UI     | Move the 'Move Torrent' menu option to be under Tracker/Torrent [Parg]
CHANGE: UI     | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | Basque translation update [Azpidatziak]
CHANGE: UI     | 52% progress on Turkish translation [bayeco06,curtaintwitcher,mehmetengin,redjepi]
CHANGE: UI     | 51% progress on Indonesian translation [hafizulf68,jaldesign,Darsondrew]
CHANGE: UI     | 33% progress on Slovenian tranlation [lkure]
CHANGE: UI     | Progress on Chinese translations [incrediblesnow]
CHANGE: UI     | Progress on Hebrew translation [AlmogK]
CHANGE: Core   | Reworked upload bias [Parg]
CHANGE: Core   | Use latest file modification date as the 'download complete' value when adding-for-seeding [Parg]
CHANGE: Core   | Improve .torrent file names for auto-update torrents [Parg]
CHANGE: Core   | Reworked end-game-mode to be independent of piece-size [Parg]

BUGFIX: UI     | Fix duplicate menus on OSX with classic UI [Parg]
BUGFIX: UI     | Fixed various sidebar refresh issues [Parg]
BUGFIX: UI     | Fix menus being repeated for Download Details views [Parg]
BUGFIX: UI     | Ignore non-public connections when computing binding state [Parg]
BUGFIX: Core   | Fix torrent files not being correctly deleted when adding torrent operation cancelled [Parg]
BUGFIX: Core   | jar file manifest entries were missing [Parg]
BUGFIX: Core   | Fix 'transcode always' option not being remembered [Parg]
BUGFIX: Core   | Fix file move to be performant across same file system [Parg]
BUGFIX: Core   | Update share-ratio-progress when download is stopped [Parg]



2017.11.03 | BiglyBT 1.2.0.0

FEATURE: UI    | New 'Dashboard' that allows you to build your own composite view [Parg]
FEATURE: UI    | All-Peers view and Peer Set views now have an associated Swarms view for selected peers [Parg]
FEATURE: UI    | Country and language specific chats [Parg]
FEATURE: UI    | Added ability to show the reason for a download being stopped [Parg]
FEATURE: UI    | Added 'disabled' upload and download speed selectors [Parg]
FEATURE: UI    | MyTracker and MyShares views now pop-outable [Parg]
FEATURE: UI    | New file column in pieces view to show which file(s) a piece belongs to [Parg]
FEATURE: UI    | Piece Map view hover now indicates file extent and file names in tip area at top [Parg]
FEATURE: UI    | Some support for showing data file move progress on stopped torrents [Parg]
FEATURE: Plug  | 3D Swarm view now available in download tabs [Parg]
FEATURE: Plug  | 3D Swarm view now has a 'most active' view [Parg]
FEATURE: Plug  | Tracker Templates and IRC plugin ported [Parg]
FEATURE: Plug  | Advanced Statistics plugin ported [Parg]
FEATURE: Plug  | Command Runner plugin ported [Parg]
FEATURE: Plug  | Speed Scheduler now indicates when it pauses downloads [Parg]
FEATURE: Core  | Built-in tracker now supports I2P and Tor directly [Parg]
FEATURE: Core  | Added isMagnet and isLowNoise to Tag Constraints [Parg]
FEATURE: Core  | Added sequential download option when adding a torrent [Parg]
FEATURE: Core  | Added ability to set sequential ascending or descending from a selected piece [Parg]
FEATURE: Core  | New option to prefer anonymous DDB operations for mixed content [Parg]
FEATURE: Core  | Queuing option to auto-tag first and non-first priority downloads [Parg]
FEATURE: Core  | New queuing option to ignore zero-peer torrents when calculating number stalled [Parg]
FEATURE: Core  | Added some client id migration support [Parg]
FEATURE: Core  | Recover metadata downloads across restarts [Parg]
FEATURE: Core  | Option for hour-based config backups [Parg]

CHANGE: UI     | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI     | Basque translation update [Azpidatziak]
CHANGE: UI     | Nick names automatically prefixed with '@' when selected [Parg]
CHANGE: UI     | Use alt+<return> to enter new lines into chat messages [Parg]
CHANGE: UI     | Added chat icon to chat sidebar entries [Parg]
CHANGE: UI     | Large file sizes now in bold in Files and Archive views in line with Library views [Parg]
CHANGE: UI     | New 'getting started' page [Parg]
CHANGE: UI     | Don't auto-open beta sidebar view if user manually closes it [Parg]
CHANGE: UI     | Referrer option in download window now requires manal selection as defaulting was causing confusion [Parg]
CHANGE: Plug   | Speed Scheduler restarts downloads it has stopped when it is disabled [Parg]
CHANGE: Core   | Switch to torrent based updates [Parg]
CHANGE: Core   | Reduce config file writes [Parg]
CHANGE: Core   | Paused downloads can now be stopped [Parg]
CHANGE: Core   | Remove constraint that min simultaneous downloads <= max/2 and added option to link them [Parg]
CHANGE: Core   | No longer send java/os info on announces by default [Parg]

BUGFIX: UI     | Fix tag views not showing properly in classic UI [Parg]
BUGFIX: UI     | Fix sharing view FTUX [Parg]
BUGFIX: UI     | Fix category addition window vanishing [Parg]
BUGFIX: UI     | Tab view rendering fixes [Parg]
BUGFIX: UI     | Fix sidebar tooltip not always hiding [Parg]
BUGFIX: Core   | Fix bug casing lots of threads to be created [Parg]
BUGFIX: Core   | Don't attempt to scrape metadata downloads [Parg]
BUGFIX: Core   | Fix deadlock in duplicate startup detection [Parg]



2017.09.13 | BiglyBT 1.0.2.0

FEATURE: UI    | Show small download indicator for pieces not yet downloading [TuxPaper]
FEATURE: UI    | Show Tag constraint error messages [Parg]
FEATURE: UI    | Added plugins website (https and Tor) to About Window [TuxPaper]
FEATURE: UI    | Vote and Bug Report menu items added to Community menu [TuxPaper]
FEATURE: UI    | Added BiglyBT specific chat channels [Parg]
FEATURE: Plug  | Auto Stopper plugin ported [akidburn]
FEATURE: Plug  | Global Information Status Entry plugin ported [Shusshu]
FEATURE: Plug  | Stopped Torrent Auto-starter plugin ported [Shusshu]
FEATURE: Core  | Support DNS lookup intercepts in Java 9 [Parg]
FEATURE: Core  | Now collecting potential received & discard stats when peer disconnects [TuxPaper]
FEATURE: Core  | Maven build setup [Shusshu]
FEATURE: Core  | Added basic BiglyBT DHT [Parg]

CHANGE:  UI    | Brazilian Portuguese translation update [Havokdan]
CHANGE:  UI    | Rate linit updating of selected content [TuxPaper]
CHANGE:  UI    | Show beta unread post count [Parg]
CHANGE:  UI    | Improved names of subscription download torrents [Parg]
CHANGE:  UI    | Make chat settings icon more obvious [Parg]
CHANGE:  Core  | Auto-install Tor Helper plugin [Parg]
CHANGE:  Core  | Remove experimental 'neural' speed manager algorithm [TuxPaper]

BUGFIX:  UI    | Fixed open sidebar entries not saving across sessions [Parg]
BUGFIX:  UI    | Fixed beta URL [Parg]
BUGFIX:  UI    | Better error message when streaming fails with classic UI [Parg]
BUGFIX:  UI    | Fix icon and tray icon on HDPI/scaled monitors [TuxPaper]
BUGFIX:  UI    | Fix 'add category' window disappearing [TuxPaper]
BUGFIX:  Core  | Fixed renaming of files that only differ in case causing file deletion [Parg]
BUGFIX:  Core  | Remove limit on total uptime [TuxPaper]
BUGFIX:  Core  | Fix sort of next subscription scheduler [Parg]
BUGFIX:  Core  | Fixed ability to run multiple BiglyBT instances [Parg]



2017.07.27 | BiglyBT 1.0.0.0

FEATURE: UI    | "tag:" text filter for torrent views [TuxPaper]

CHANGE:  UI    | BiglyBT Changes [Parg, TuxPaper]
CHANGE:  UI    | Remove VHDN/Content Network stuff, Games, DVD sidebar entries [Parg, TuxPaper]
CHANGE:  Core  | BiglyBT Changes [Parg, TuxPaper]
CHANGE:  Core  | Min Java is now 1.8 (which also means min OSX is now 10.7.3)
CHANGE:  Core  | [Mac] Dropped OSX 32-bit and "Carbon UI" support [TuxPaper]
CHANGE:  Core  | Removed Offline Downloaders from Devices [Parg]
CHANGE:  Core  | Fixed sites with specific SSL certs not working (fixes some search templates) [Parg]
CHANGE:  Core  | All OSes now support a java.vmoptions in the users's config dir [TuxPaper]

BUGFIX:  UI    | [*nix] Devices now show on Sidebar, just like OSX/Win, except no transcoding [TuxPaper]
BUGFIX:  UI    | [*nix] Lots of minor fixes for GTK3 [TuxPaper]
BUGFIX:  UI    | Search Template editor now works again [TuxPaper]

Historical Change log can be found at http://wiki.vuze.com/w/ChangeLog (5.7.6.0 and below)
